Skip to content

Cancel pickup

Request

Cancel a previously scheduled carrier pick up. A carrier pickup can no longer be updated or cancelled once cancelled. It requires no additional parameters other than the pickup_no. The status will change to CANCELED on success. For all possible error codes returned by this endpoint, see Appendix – Pickup Error Codes.

Security
BearerAuth
Bodyapplication/jsonrequired
pickup_nostring(PickUpNo)required

The internal pickup record number used to identify a previously scheduled USPS pickup request. This value is returned during the pickup creation process and must be provided to cancel the corresponding pickup order.

Example:"10000000000"
POST
/api/shipment/pickup/cancel
curl -i -X POST \
  https://x-api.shipsaving.com/api/shipment/pickup/cancel \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "pickup_no": "10000000000"
  }'

Responses

OK

Bodyapplication/json
codestring
Example:"ok"
msgstring
Example:"ok"
dataobject
Example:
{}
Response
{ "code": "ok", "msg": "ok", "data": {} }